<?php
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
   $user_codigo=$_SESSION['user_codigo'];

$lbFlag = 0;
echo '<response>';

switch ($para_nomi)
{
  case "IR":
       $lbFlag = 7 ;
       break ;

  case "CH":
       $lbFlag = 9;
       break ;

  case "GH":
       $lcAnio   = substr($proceso,0,4);
       $lcMes    = substr($proceso,5,2);
       $lcSql    = "select * from empl0 where (empl_estado = 'A' or empl_estado = 'V') and empl_codigo = '".$cedula."'";
    
       $consulta = msql_query($lcSql,$link_data);
       while($regis=msql_fetch_assoc($consulta))
         {
            $lcEmpre    = ($regis["empl_codcia"]);
            $lnSuelho   = ($regis["empl_sueldo"])/240;
            $lcDpto     = ($regis["empl_coddpto"]);
            $lcCargo    = ($regis["empl_codcargo"]);
            
            if ($horas<=0)    $horas=0;
            if ($enfer<=0)    $enfer=0;
            if ($licensin<=0) $licensin=0;
            if ($licencon<=0) $licencon=0;
            if ($h25<=0)      $h25=0;
            if ($h50<=0)      $h50=0;
            if ($h100<=0)     $h100=0;
            $lnValor  = $horas + $enfer + $licensin + $licencon ;
            $lnSueldo = $lnSuelho * ($horas + $enfer + $licencon);

            $lcCampo = "hora_codigo, hora_anio, hora_mes, hora_quince, hora_codcia, hora_sueldo,  hora_enfer,  hora_licensin,  hora_licencon, hora_e25, hora_e50, hora_e100";
            $lcVaria = "'".$cedula."','".$lcAnio."','".$lcMes."','".$quince."','".$lcEmpre."',".$horas.",".$enfer.",".$licensin.",".$licencon.",".$h25.",".$h50.",".$h100;
         }
         
       if ($lnValor > 0 and $lnValor <= 240) 
          {
              $lcSql    = "delete from hora0 where hora_quince = ".$quince." and hora_mes=".$lcMes." and hora_anio =".$lcAnio." and hora_codigo ='".$cedula."'" ;
              msql_query($lcSql,$link_data);
              $lcSql = "insert into hora0 (".$lcCampo.") values (".$lcVaria.")";
              msql_query($lcSql,$link_data);
          }
         
//               echo '<msgswal>';
//               echo '<icon>error</icon>' ;
//               echo '<text> Registros... -- '.$cedula."-".$valnov."-".$lcSql.'</text>' ;
//               echo '<confirmButtonText>Ok</confirmButtonText>';
//               echo '</msgswal>';
       
       $lbFlag = 9;
       break;

  case "GN":
       $lcAnio   = substr($proceso,0,4);
       $lcMes    = substr($proceso,5,2);
       $lnValor  = $valnov ;
       $lcSql    = "delete from calc0 where calc_quince = ".$quince." and calc_mes=".$lcMes." and calc_anio =".$lcAnio." and calc_nove = '".$nove."' and calc_codigo = '".$cedula."'" ;
       msql_query($lcSql,$link_data);
       $lcSql    = "select * from empl0 where (empl_estado = 'A' or empl_estado = 'V') and empl_codigo = '".$cedula."'";
    
       $consulta = msql_query($lcSql,$link_data);
       while($regis=msql_fetch_assoc($consulta))
         {
            $lcCedula   = ($regis["empl_codigo"]);
            $lcEmpre    = ($regis["empl_codcia"]);
            $lcDpto     = ($regis["empl_coddpto"]);
            $lcCargo    = ($regis["empl_codcargo"]);
            
            $lcCampo = "calc_codigo, calc_anio, calc_mes, calc_quince, calc_nove, calc_valor, calc_tipo, calc_codcia, calc_coddpto, calc_codcargo";
            $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','".$nove."',".$lnValor.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
            $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
         }
       msql_query($lcSql,$link_data);

//        if ($lnValor > 0) msql_query($lcSql,$link_data);
//               echo '<msgswal>';
//               echo '<icon>error</icon>' ;
//               echo '<text> Registros... -- '.$cedula."-".$valnov."-".$lcSql.'</text>' ;
//               echo '<confirmButtonText>Ok</confirmButtonText>';
//               echo '</msgswal>';
       
       $lbFlag = 8;
       break;

  case "CR":
       $lcAnio   = substr($proceso,0,4);
       $lcMes    = substr($proceso,5,2);
       $lcCampo  = "calc_codigo, calc_anio, calc_mes, calc_quince, calc_nove, calc_valor, calc_tipo, calc_codcia, calc_coddpto, calc_codcargo";

       if ($quince == 1)
          {
             $lcSqlDel = "delete from calc0 where calc_quince = ".$quince." and calc_mes=".$lcMes." and calc_anio =".$lcAnio." and calc_nove = '09'" ;
             msql_query($lcSqlDel,$link_data);
             $lcSql    = "select *, pers_nombre, pers_apellido from pers0, empl0 where pers_codigo = empl_codigo and (empl_estado = 'A' or empl_estado = 'V') ";
             $consulta = msql_query($lcSql,$link_data);
             while($regis=msql_fetch_assoc($consulta))
                 {
                    $lcCedula   = ($regis["empl_codigo"]);
                    $lcEmpre    = ($regis["empl_codcia"]);
                    $lcDpto     = ($regis["empl_coddpto"]);
                    $lcCargo    = ($regis["empl_codcargo"]);
                    $lnSueldo   = ($regis["empl_sueldo"]);
                    $lnPorAn    = ($regis["empl_poranti"]);
                    $lnValAn    = ($regis["empl_valanti"]);
        
                    if ($lnPorAn > $lnValAn)
                         $lnAnti = $lnSueldo * $lnPorAn/100 ;
                    else
                         $lnAnti = $lnValAn ;
                    $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','09',".$lnAnti.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                    $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                    if ($lnAnti > 0) msql_query($lcSql,$link_data);
                 }
          }
       else
         {
             $lcSql  = "select * from hora0, empl0 where hora_codigo = empl_codigo and hora_mes =".$lcMes." and hora_anio = ".$lcAnio." and (empl_estado = 'A' or empl_estado = 'V') ";
             $consulta = msql_query($lcSql,$link_data);
             while($regis=msql_fetch_assoc($consulta))
                 {
                    $lcCedula  = ($regis["empl_codigo"]);
                    $lcEmpre   = ($regis["empl_codcia"]);
                    $lcDpto    = ($regis["empl_coddpto"]);
                    $lcCargo   = ($regis["empl_codcargo"]);
                    $lnSueHora = $regis['empl_sueldo']/240 ;
                    $lnNumHora = $regis['hora_sueldo'] + $regis['hora_licencon'] ;
                    if ($regis['hora_enfer'] <= 24) $lnNumHora = $lnNumHora + $regis['hora_enfer'];
                    $lnSueldo =  $lnSueHora * $lnNumHora ;
                    $ln25     = $lnSueHora * 0.25 * $regis['hora_e25'];
                    $ln50     = $lnSueHora * 1.50 * $regis['hora_e50'];
                    $ln100    = $lnSueHora * 2.00 * $regis['hora_e100'];
                    $lnIess   = $lnSueldo + $ln25 + $ln50 + $ln100 ;
                    $lnMovili = $regis['empl_movilidad'] ;
                    $lnTransp = $regis['empl_transporte'] ;
                    $lnAlimen = $regis['empl_alimenta'] ;

                    $lcSqlDel = "delete from calc0 where calc_quince = ".$quince." and calc_mes=".$lcMes." and calc_anio =".$lcAnio." and calc_codigo = '".$lcCedula."' and calc_nove in ('01','02','03','04','32','33','34','54')" ;
                    msql_query($lcSqlDel,$link_data);

                    $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','01',".$lnSueldo.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'";
                    $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                    msql_query($lcSql,$link_data);
               
                    if ($ln25>0)
                       {
                          $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','32',".$ln25.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                          $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                          msql_query($lcSql,$link_data);
                       }
                    if ($ln50>0)
                       {
                          $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','33',".$ln50.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                          $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                          msql_query($lcSql,$link_data);
                       }
               
                    if ($ln100>0)
                       {
                          $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','34',".$ln100.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                          $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                          msql_query($lcSql,$link_data);
                       }

                    if ($lnMovili>0)
                       {
                          $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','02',".$lnMovili.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                          $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                          msql_query($lcSql,$link_data);
                       }

                    if ($lnAlimen>0)
                       {
                          $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','03',".$lnAlimen.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                          $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                          msql_query($lcSql,$link_data);
                       }
               
                    if ($lnTransp>0)
                       {
                          $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','04',".$lnTransp.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                          $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                          msql_query($lcSql,$link_data);
                       }
                    $lcSql = "select * from calc0, nove0 where calc_nove = nove_codigo and nove_iess = 'S' and calc_quince = ".$quince." and calc_mes=".$lcMes." and calc_anio =".$lcAnio." and calc_codigo = '".$lcCedula."' ";
                    $row_pago = msql_query($lcSql,$link_data);
                    while($reg_pago=msql_fetch_assoc($row_pago))
                          {
                            $lnIess = $lnIess + $reg_pago['calc_valor'] ;
                          }
                    $lnIess   = $lnIess * 0.0945 ;

                    $lcVaria = "'".$lcCedula."','".$lcAnio."','".$lcMes."','".$quince."','54',".$lnIess.",'A','".$lcEmpre."','".$lcDpto."','".$lcCargo."'" ;
                    $lcSql = "insert into calc0 (".$lcCampo.") values (".$lcVaria.")";
                    msql_query($lcSql,$link_data);

                 }
         
         }
       
       $lbFlag = 7;
       break;
  case "GP":
       if ($porcentaje < 1 )
           $porcentaje = 0 ;

       if (!empty($cedula))
          {
              $lbError = 0;
              if (empty($apellido)) $lbError = 1; else strtoupper($apellido);
              if (empty($nombre)) $lbError = 1; else strtoupper($nombre);
              if (empty($ecivil) or $ecivil == '-' ) $lbError = 1;
              if (!empty($correo)) $correo = strtolower($correo) ;
         
              $direccion = strtoupper($direccion);
              $titulo    = strtoupper($titulo);
              $contacto  = strtoupper($contacto);
  
              if ($lbError == 0)
                 {
                    $lcSql='select * from pers0 where pers_codigo = "'.$cedula.'"';
 
                    $consulta=msql_query($lcSql,$link_data);
                    if ($consulta->num_rows == 0)
                       {
                          $lcSql='insert into pers0 (pers_codigo) values ("'.$cedula.'")';
                          msql_query($lcSql,$link_data);
                       }
     
        
                    $lcVaria  = 'pers_apellido ="'.$apellido.'",pers_nombre= "'.$nombre.'",pers_sexo ="'.$sexo.'",pers_nacimiento="'.$nacimi.'",pers_direccion="'.$direccion.'",' ;
                    $lcVaria .= 'pers_telefono ="'.$telefono.'",pers_correo="'.$correo.'",pers_estacivil="'.$ecivil.'",pers_sangre="'.$tsangre.'",pers_profe="'.$profesion.'",';
                    $lcVaria .= 'pers_titulo="'.$titulo.'",pers_contacto ="'.$contacto.'",pers_disca="'.$discapa.'",pers_discapor='.$porcentaje.',pers_reempla="'.$reemp.'",' ;
                    $lcVaria .= 'pers_descri="'.trim($apellido).' '.trim($nombre).'", pers_status = "-" ';
                      
                    $lcSql = "update pers0 set ".$lcVaria." where pers_codigo = '" .$cedula."'" ;
                    msql_query($lcSql,$link_data);
                 }
          }
       $lbFlag = 0;
       break;
  case "CP":
        $lcWhere = '';
        if (!empty($apellido)) $lcWhere .= " and pers_apellido like '%".strtoupper($apellido)."%' ";
        if (!empty($nombre)) $lcWhere .= " and pers_nombre like '%".strtoupper($nombre)."%' ";
        if (!empty($sexo) and $sexo           != '-') $lcWhere .= " and pers_sexo      = '".strtoupper($sexo)."'";
        if (!empty($ecivil) and $ecivil       != '-') $lcWhere .= " and pers_estacivil = '".strtoupper($ecivil)."'";
        if (!empty($tsangre) and $tsangre     != '-') $lcWhere .= " and pers_sangre    = '".strtoupper($tsangre)."'";
        if (!empty($profesion) and $profesion != '-') $lcWhere .= " and pers_profe     = '".strtoupper($profesion)."'";
        if (!empty($titulo))                          $lcWhere .= " and pers_titulo    like '%".strtoupper($titulo)."%'";
        if (!empty($contacto))                        $lcWhere .= " and pers_contacto  like '%".strtoupper($contacto)."%'";
        if (!empty($discapa) and $discapa   != '-') $lcWhere .= " and pers_disca  = '".strtoupper($discapa)."'";
        if (!empty($reemp) and $reemp   != '-') $lcWhere .= " and pers_reempla = '".strtoupper($reemp)."'";
      
        $lcSql = 'select * from pers0 where 1=1 '.$lcWhere." order by 1";

        $consulta=msql_query($lcSql,$link_data);
        $nuevo = msql_num_rows($consulta) ;
        $lbFlag = 1;
        if ($nuevo == 0)
           {
//               echo '<msgswal>';
//               echo '<icon>error</icon>' ;
//               echo '<text> Registros... -- '.$lcSql.'</text>' ;
//               echo '<confirmButtonText>Ok</confirmButtonText>';
//               echo '</msgswal>';
              $lbFlag = 0;
           }
        else
           {
//               echo '<msgswal>';
//               echo '<icon>sucess</icon>' ;
//               echo '<text>Lo Encontre Registro...'.$lcSql.'</text>' ;
//                echo '<confirmButtonText>Ok</confirmButtonText>';
//                echo '</msgswal>';
           }   
       break;
  case "PE":
       $lbFlag = 0 ;
       if (!empty($cedula))
          {
             $lcSql='select * from pers0 where pers_codigo = "'.$cedula.'"';  
             $consulta=msql_query($lcSql,$link_data);

             $lcDato = msql_result($consulta,0,'pers_apellido');
             echo "<papellido>".$lcDato."</papellido>";

             $lcDato = msql_result($consulta,0,'pers_nombre');
             echo "<pnombre>".$lcDato."</pnombre>";

             $lcDato = msql_result($consulta,0,'pers_sexo');
             echo "<psexo>".$lcDato."</psexo>";

             $lcDato = msql_result($consulta,0,'pers_nacimiento');
             echo "<pnacim>".$lcDato."</pnacim>";

             $lcDato = msql_result($consulta,0,'pers_direccion');
             echo "<pdirecc>".$lcDato."</pdirecc>";

             $lcDato = msql_result($consulta,0,'pers_telefono');
             echo "<ptelefo>".$lcDato."</ptelefo>";

             $lcDato = msql_result($consulta,0,'pers_correo');
             echo "<pcorreo>".$lcDato."</pcorreo>";

            $lcDato = msql_result($consulta,0,'pers_estacivil');
            echo "<pecivil>".$lcDato."</pecivil>";

            $lcDato = msql_result($consulta,0,'pers_sangre');
            echo "<psangre>".$lcDato."</psangre>";

            $lcDato = msql_result($consulta,0,'pers_profe');
            echo "<pprofesi>".$lcDato."</pprofesi>";

            $lcDato = msql_result($consulta,0,'pers_titulo');
            echo "<ptitulo>".$lcDato."</ptitulo>";

            $lcDato = msql_result($consulta,0,'pers_contacto');
            echo "<pcontac>".$lcDato."</pcontac>";

            $lcDato = msql_result($consulta,0,'pers_disca');
            echo "<pdisca>".$lcDato."</pdisca>";

            $lcDato = msql_result($consulta,0,'pers_discapor');
            echo "<pporce>".$lcDato."</pporcen>";

            $lcDato = msql_result($consulta,0,'pers_reempla');
            echo "<preempla>".$lcDato."</preempla>";

            $lbFlag = 1;
          }
       
       break;

  case "NP":
       $lcSql='select * from pers0 where pers_codigo = "'.$cedula.'"';
 
       $consulta=msql_query($lcSql,$link_data);
    
       $lcDato = msql_result($consulta,0,'pers_apellido');
       echo "<papellido>".$lcDato."</papellido>";

       $lcDato = msql_result($consulta,0,'pers_nombre');
       echo "<pnombre>".$lcDato."</pnombre>";
 
//                        echo '<msgswal>';
//                     echo '<icon>sucess</icon>' ;
//                     echo '<text>'.$lcDato.' - '.$cedula.'</text>' ;
//                     echo '<confirmButtonText>Ok</confirmButtonText>';
//                     echo '</msgswal>';
 
       $lbFlag = 3 ;
       break;

  case "GE":
       if (!empty($cedula))
          {
              $lcSql='select * from pers0 where pers_codigo = "'.$cedula.'"';
              $consulta=msql_query($lcSql,$link_data);
              if ($consulta->num_rows >0 )
                 {
                    if ($sueldo==0) $sueldo = 0;
                    
                    if ($movil == 0) $movil = 0;

                    if ($transp == 0) $transp = 0;

                    if ($alimen == 0) $alimen = 0;

                    if ($poranti == 0) $poranti = 0;

                    if ($valanti == 0) $valanti = 0;

                    $lcSql='select * from empl0 where empl_codigo = "'.$cedula.'"';
                    $consulta=msql_query($lcSql,$link_data);
                    if ($consulta->num_rows == 0)
                       {
                          $lcSql='insert into empl0 (empl_codigo) values ("'.$cedula.'")';
                          msql_query($lcSql,$link_data);
                       }
                    $lcVaria  = 'empl_codcia ="'.$cia.'",empl_anticipo = "'.$anticipo.'",empl_coddpto ="'.$dpto.'",empl_codcargo="'.$cargo.'",empl_codcontra="'.$contrato.'",' ;
                    $lcVaria .= 'empl_codsector ="'.$sectorial.'",empl_afiliacion="'.$afilia.'",empl_sueldo='.$sueldo.',empl_movilidad='.$movil.',empl_transporte='.$transp.',';
                    $lcVaria .= 'empl_alimenta='.$alimen.',empl_poranti='.$poranti.',empl_valanti='.$valanti.',empl_he ="'.$horae.'",empl_bn="'.$bnavi.'",empl_be="'.$besco.'",empl_fr="'.$fr.'"' ;
     
                    $lcSql = "update empl0 set ".$lcVaria." where empl_codigo = '" .$cedula."'" ;
                echo ($lcSql);
                    msql_query($lcSql,$link_data);
                 }
              else
                 {
                    echo '<msgswal>';
                    echo '<icon>sucess</icon>' ;
                    echo '<text>Persona no Existe</text>' ;
                    echo '<confirmButtonText>Ok</confirmButtonText>';
                    echo '</msgswal>';
                 }
          }
       $lbFlag = 3;
       break;
  case "CE":
        $lcWhere = '';
        if (!empty($cedula))   $lcWhere .= " and pers_codigo = '".$cedula."' ";
        if (!empty($apellido)) $lcWhere .= " and pers_apellido like '%".strtoupper($apellido)."%' ";
        if (!empty($nombre))   $lcWhere .= " and pers_nombre like '%".strtoupper($nombre)."%' ";
        if (!empty($sueldo))   $lcWhere .= " and empl_sueldo = ".$sueldo." ";
      
        $lcSql = 'select * from empl0, pers0 where empl_codigo = pers_codigo '.$lcWhere." order by 1";

        $consulta=msql_query($lcSql,$link_data);

        $lcDato = msql_result($consulta,0,'pers_codigo');
        echo "<pcedula>".$lcDato."</pcedula>";

        $lcDato = msql_result($consulta,0,'pers_apellido');
        echo "<papellido>".$lcDato."</papellido>";

        $lcDato = msql_result($consulta,0,'pers_nombre');
        echo "<pnombre>".$lcDato."</pnombre>";

        $lcDato = msql_result($consulta,0,'empl_codcia');
        echo "<pcia>".$lcDato."</pcia>";

        $lcDato = msql_result($consulta,0,'empl_anticipo');
        echo "<panticipo>".$lcDato."</panticipo>";

        $lcDato = msql_result($consulta,0,'empl_coddpto');
        echo "<pdpto>".$lcDato."</pdpto>";

        $lcDato = msql_result($consulta,0,'empl_codcargo');
        echo "<pcargo>".$lcDato."</pcargo>";

        $lcDato = msql_result($consulta,0,'empl_codcontra');
        echo "<pcontrato>".$lcDato."</pcontrato>";

        $lcDato = msql_result($consulta,0,'empl_codsector');
        echo "<psectorial>".$lcDato."</psectorial>";

        $lcDato = msql_result($consulta,0,'empl_afiliacion');
        echo "<pafilia>".$lcDato."</pafilia>";

        $lcDato = msql_result($consulta,0,'empl_sueldo');
        echo "<psueldo>".$lcDato."</psueldo>";

        $lcDato = msql_result($consulta,0,'empl_movilidad');
        echo "<pmovil>".$lcDato."</pmovil>";

        $lcDato = msql_result($consulta,0,'empl_poranti');
        echo "<pporanti>".$lcDato."</pporanti>";

        $lcDato = msql_result($consulta,0,'empl_valanti');
        echo "<pvalanti>".$lcDato."</pvalanti>";

        $lcDato = msql_result($consulta,0,'empl_transporte');
        echo "<ptransp>".$lcDato."</ptransp>";

        $lcDato = msql_result($consulta,0,'empl_alimenta');
        echo "<palimen>".$lcDato."</palimen>";

        $lcDato = msql_result($consulta,0,'empl_he');
        echo "<phorae>".$lcDato."</phorae>";

        $lcDato = msql_result($consulta,0,'empl_bn');
        echo "<pbnavi>".$lcDato."</pbnavi>";

        $lcDato = msql_result($consulta,0,'empl_be');
        echo "<pbesco>".$lcDato."</pbesco>";

        $lcDato = msql_result($consulta,0,'empl_fr');
        echo "<pfr>".$lcDato."</pfr>";
    
        $lbFlag = 4;
    
        break;
}

switch($lbFlag) 
{
  case 0:
  case 1:
     if ($lbFlag == 0)
        {
           $lcSql = "pers_codigo, pers_apellido, pers_nombre, pers_sexo, pers_nacimiento, pers_correo, pers_sangre, pers_titulo, pers_contacto, pers_disca, pers_discapor, pers_reempla" ;
           $lcSql='select '.$lcSql.' from pers0 order by 1';
        }
     $consulta=msql_query($lcSql,$link_data);
    
     echo "<result>";
     echo "<table width='100%' border='1'>";
     echo "<caption><h3>PERSONAL</h3></caption>";
     echo "<theader>" ;
     echo "<tr>" ;
     echo "<th>Identificación</th>" ;
     echo "<th>Empleado</th>" ;
     echo "<th>Sexo</th>" ;
     echo "<th>Nacimiento</th>" ;
     echo "<th>Correo</th>" ;
     echo "<th>Sangre</th>" ;
     echo "<th>Titulo</th>" ;
     echo "<th>Contacto</th>" ;
     echo "<th>Discp.</th>" ;
     echo "<th>Porc.</th>" ;
     echo "<th>Reemplaza</th>" ;
     echo "</tr>" ;
     echo "</theader>" ;
     echo "</tbody>" ;
     $lnLinea = $consulta->num_rows;
     while($regis=msql_fetch_assoc($consulta))
          {
              $lcNombre  = trim($regis['pers_apellido']).' '.$regis['pers_nombre'];

              $ldFecha = $regis['pers_nacimiento'];
              $lcFecha = fnLetraFecha($ldFecha, 3, 'M');
       
              if ($regis['pers_disca'] == "S")
                 $lcDisca = 'SI';
              else
                  $lcDisca = 'NO';

              if ($regis['pers_reempla'] == "S")
                 $lReempla = 'SI';
              else
                 $lReempla = 'NO';

              echo "<tr>" ;
              echo "<td>".$regis['pers_codigo']."</td>" ;
              echo "<td><small>".$lcNombre."</small></td>" ;
              echo "<td><small>".$regis['pers_sexo']."</small></td>" ;
              echo "<td><small>".$lcFecha."</small></td>" ;
              echo "<td><small>".$regis['pers_correo']."</small></td>" ;
              echo "<td>".$regis['pers_sangre']."</td>" ;
              echo "<td><small>".$regis['pers_titulo']."</small></td>" ;
              echo "<td><small>".$regis['pers_contacto']."</small></td>" ;
              echo "<td><small>".$lcDisca."</small></td>" ;
              echo "<td align='right'>".number_format($regis['pers_discapor'],2)."</td>" ;
              echo "<td><small>".$lReempla."</small></td>" ;
              echo "</tr>" ;
          }
     echo "</tbody>" ;
     echo "<tfoot>" ;
     echo "<tr>" ;
     echo "<th>".$lnLinea."</th>" ;
     echo "<th colspan=10>Total de Personal</th>" ;
     echo "</tr>" ;
     echo "</tfoot>" ;
     echo "</table>";
     echo "</result>";
     break;

  case 3:
  case 4:
    if ($lbFlag == 3)
          {
              $lcWhereE = '' ;

              $lcSql = "*" ;
              $lcSql='select '.$lcSql.' from empl0, pers0 where pers_codigo = empl_codigo '.$lcWhereE.' order by 2';
              //$consulta=msql_query($lcSql,$link_data);
          }
    $consulta=msql_query($lcSql,$link_data);
    echo "<result>";
    echo "<table width='100%' border='1'>";
    echo "<caption><h3>EMPLEADO</h3></caption>";
    echo "<theader>" ;
    echo "<tr>" ;
    echo "<th>Identificación</th>" ;
    echo "<th>Apellido</th>" ;
    echo "<th>Nombre</th>" ;
    echo "<th>Empresa</th>" ;
    echo "<th>Afiliación</th>" ;
    echo "<th>Cargo</th>" ;
    echo "<th>Depto.</th>" ;
    echo "<th>Sectorial</th>" ;
    echo "<th>Sueldo</th>" ;
    echo "<th>BN</th>" ;
    echo "<th>BE</th>" ;
    echo "<th>FR</th>" ;
    echo "</tr>" ;
    echo "</theader>" ;
    echo "<tbody>" ;
    $lnLinea = $consulta->num_rows;

    while($regis=msql_fetch_assoc($consulta))
          {
              $ldFecha = $regis['empl_afiliacion'];
              $lcFecha = fnLetraFecha($ldFecha, 3, 'M');
              echo "<tr>" ;
              echo "<td>".$regis['pers_codigo']."</td>" ;
              echo "<td>".$regis['pers_apellido']."</td>" ;
              echo "<td>".$regis['pers_nombre']."</td>" ;
              echo "<td>".$regis['empl_codcia']."</td>" ;
              echo "<td>".$lcFecha."</td>" ;
              echo "<td>".$regis['empl_codcargo']."</td>" ;
              echo "<td>".$regis['empl_coddpto']."</td>" ;
              echo "<td>".$regis['empl_codsector']."</td>" ;
              echo "<td align='right'>".number_format($regis['empl_sueldo'],2)."</td>" ;
              echo "<td align='center'>".$regis['empl_bn']."</td>" ;
              echo "<td align='center'>".$regis['empl_be']."</td>" ;
              echo "<td align='center'>".$regis['empl_fr']."</td>" ;
              echo "</tr>" ;
          }
    echo "</tbody>" ;
    echo "<tfoot>" ;
    echo "<tr>" ;
    echo "<th>".$lnLinea."</th>" ;
    echo "<th colspan=10>Total de Personal</th>" ;
    echo "</tr>" ;
    echo "</tfoot>" ;
    echo "</table>";
    echo "</result>";
    break ; 
    
  case 7:
       $lcAnio   = substr($proceso,0,4);
       $lcMes    = substr($proceso,5,2);

       $lcNove   = '' ;
       $items    = 0  ;
       $lbFlag   = 1  ;
       $lcSql='select calc_nove, nove_abrevia from calc0, nove0 where calc_nove = nove_codigo and calc_valor > 0 and calc_quince = '.$quince." and calc_mes = ".$lcMes." and calc_anio = ".$lcAnio." and calc_codcia = '".$cia."' group by calc_nove, nove_abrevia order by calc_nove" ;
       $consulta=msql_query($lcSql,$link_data);
       while($regis=msql_fetch_assoc($consulta))
            {
               $codnove = $regis['calc_nove'];
               if ($codnove > '50' and $lbFlag == 1)
                  {
                     $lcNove .= "sum(case when calc_nove<'50' then calc_valor end) as c_50,";
                     $items  = $items + 1 ;
                     $lbFlag = 2; 
                  }
               
               $lcNove .= "sum(case when calc_nove='".$codnove."' then calc_valor end) as c_".$codnove.",";
               $items  = $items + 1 ;
            }
      $items  = $items + 2 ;
      $lcNove .= "sum(case when calc_nove>'50' then calc_valor end) as c_98,";
      $lcNove .= "sum(case when calc_nove='99' then calc_valor end) as c_99,";
      $lnEnte = (int)($items/3) ;
      $lnDeci = ($items/3) - $lnEnte;
      if ($lnDeci > 0) $lnColum = $lnEnte + 1 ;
       
    
      $items  = $items + 8;
       
//    ksort($arrnove);
       $lcNomMes = fnLetraMes($lcMes, 0, 'C');
    
       echo "<result>";
       echo "<table id='calcula' width='100%' border='1' width='100%' height='100%'>";
       echo "<caption><h3>CALCULO DEL ROL EMPRESA : ".$cia."</h3></caption>";
       echo "<theader>" ;
       echo "<tr><th colspan =".$items.">Quincena : ".$quince." - Mes : ".$lcNomMes." - Año : ".$lcAnio."</th></tr>" ;
       echo "<tr>" ;
//        echo "<th>Cia</th>" ;
//        echo "<th>Código</th>" ;
//        echo "<th>Empleado</th>" ;
       $lbFlag = 1 ;
       $lArre1 = array();
       $lArre2 = array();
       $lArre3 = array();
       $lnImpr = 0 ;
       $lbUbica = 0 ;
       $lnTot  = 0 ;
       $consulta=msql_query($lcSql,$link_data);
       $lnIndi = 0 ;
       while($regis=msql_fetch_assoc($consulta))
            {
                $codnove = $regis['calc_nove'];
                $desnove = substr($regis['nove_abrevia'],0,10);
                $lnIndi  = (int)$codnove ;
                $lnImpr  = $lnImpr + 1 + $lnTot;
                $lnEnte = (int)($lnImpr/3) ;
                $lnDeci = round(($lnImpr/3) - $lnEnte,2);
         
                if ($codnove > '50' and $lbFlag == 1)
                   {
                       if ($lbUbica == "1")
                           {
                             $lArre1[50] = "TOTAL INGRESO" ;
                             $lnDeci = 0.67 ;
                           }
                       else
                           if ($lbUbica == "3")
                              {
                                 $lArre3[50] = "TOTAL INGRESO" ;
                                 $lnDeci = 0.33 ;
                              }
                           else
                              {
                                 $lArre2[50] = "TOTAL INGRESO" ;
                                 $lnDeci = 0.00 ;
                              }
                       $lbFlag = 2 ;
                       $lnTot  =  1 ;
                   }
               else
                   $lnTot  =  0 ;

                switch($lnDeci)
                  {
                    case 0.33:
                         $lcArre = "1";
                         $lArre1[$lnIndi] = $desnove;
                         $lbUbica = "2" ;
                         break;
                    case 0.67:
                         $lcArre = "2";
                         $lArre2[$lnIndi] = $desnove;
                         $lbUbica = "3" ;
                         break;
                    case 0.00:
                         $lcArre = "3";
                         $lArre3[$lnIndi] = $desnove;
                         $lbUbica = "1" ;
                         break;
                  }
                //$lArre.$lcArre[$i] = $desnove;

//                $codnove = $regis['calc_nove'];
//                $desnove = substr($regis['nove_abrevia'],0,10);
//                if ($codnove > '50' and $lbFlag == 1)
//                   {
//                       echo "<th><small>TOTAL INGRESO</small></th>" ;
//                       $lbFlag = 2 ;
//                   }
//                echo "<th><small>".trim(ucfirst($desnove))."</small></th>" ;
                   
            }
       if ($lbFlag == 1)
           $desnove = "TOTAL INGRESO" ;
       else
           $desnove = "TOTAL EGRESO" ;

       if ($lbUbica == "1")
           {
              $lArre1[98] = $desnove ;
              $lArre2[99] = "NETO A RECIBIR" ;
           }
       else
          {
              if ($lbUbica == "3")
                 {
                     $lArre3[98] = $desnove ;
                     $lArre1[99] = "NETO A RECIBIR" ;
                 }
              else
                 {
                     $lArre2[98] = $desnove ;
                     $lArre3[99] = "NETO A RECIBIR" ;
                 }
          }
    
    //****
        foreach ($lArre1 as $key => $valor) 
           {
               echo "<th><small>".$key."-".trim(ucfirst($valor))."</small></th>" ;
           }
        echo "</tr>";
        echo "<tr>";
        foreach ($lArre2 as $key => $valor) 
           {
               echo "<th><small>".$key."-".trim(ucfirst($valor))."</small></th>" ;
           }
        echo "</tr>";
        echo "<tr>";
        foreach ($lArre3 as $key => $valor) 
           {
               echo "<th><small>".$key."-".trim(ucfirst($valor))."</small></th>" ;
           }
         echo "</tr>";

    //****  
//        if ($lbFlag == 1)
//           echo "<th><small>TOTAL INGRESO</small></th>" ;
//             $lArre.$lcArre["97"] = "TOTAL INGRESO" ;
//        else
//           echo "<th><small>TOTAL EGRESO</small></th>" ;
//             $lArre.$lcArre["97"] = "TOTAL EGRESOS" ;
//        $lbUbica = $lbUbica + 1 ;
//        $lArre.$lcArre["99"] = "TOTAL EGRESOS" ;
    

//        echo "<th><small>NETO A RECIBIR</small></th>" ;
  //     echo "<th>FIRMA EMPLEADO</th>" ;
//           <a href="#" id="downxls1" onclick="javascript:fnExcelReport('calcula',this,'gmna_FC10_20211222_112806');">XLS</a></th>
        ?>
       <th title="Descargar XLS">
           <a href="#" id="downxls1" onclick="javascript:CreateExcelSheet('calcula');">XLS</a></th>
       <?php 
       echo "</tr>" ;
       echo "</theader>" ;
       echo "<tbody>" ;
       $lcCondi = ' and calc_codcia = "'.$cia.'"';
       $lcSql = "select calc_codcia, calc_codigo, pers_apellido, pers_nombre,".$lcNove." calc_coddpto  from calc0, pers0 where pers_codigo = calc_codigo and calc_quince = ".$quince." and calc_mes = ".$lcMes." and calc_anio = ".$lcAnio." ".$lcCondi." group by calc_codcia, calc_coddpto, calc_codigo order by pers_apellido, pers_nombre, calc_nove" ;
       $consulta=msql_query($lcSql,$link_data);
       $lnLinea = $consulta->num_rows;
       $lnFinal = 0;
       $totalRe = array();
       $lnTotEm = 0 ;
    
       while($regis=msql_fetch_assoc($consulta))
            {
               $lcEmpleado = substr(trim($regis['pers_apellido'])." ".trim($regis['pers_nombre']),0,24);
               echo "<tr>" ;
             //echo "<td>".$regis['calc_codcia']."</td>" ;
               echo "<td colspan=3><small>".$regis['calc_codigo']."-".trim($lcEmpleado)."</small></td>" ;
               echo "</tr>" ;
               //$lnTotEm ++ ;
               $lbFlag    = 1 ;
               $lnTotal   = 0 ;
               $lnInd     = 1 ;
               $lnEgreso  = 0 ;
               $regis['c_50'] = 0;
               $regis['c_98'] = 0 ;
               $regis['c_99'] = 0 ;
               for ($i=4;$i<$items-6;$i++)
                   {
                      $lcCampo = msql_field_name($consulta,$i);
                      $lnValor = $regis[$lcCampo];
                      $lcNove  = substr($lcCampo,2,2) ;
                      $lnNove  = (int)$lcNove ; 
                      if ($lnNove<50) 
                          $regis['c_50'] = $regis['c_50'] + $lnValor ;
                      else
                          {
                             if ($lnNove>50) 
                                $regis['c_98'] = $regis['c_98'] + $lnValor ;
                          }
                   }
               $regis['c_99'] = $regis['c_50'] - $regis['c_98'] ;
               echo "<tr>" ;
               for ($i=4;$i<$items-4;$i=$i+3)
                   {
                      $lcCampo = msql_field_name($consulta,$i);
                      $lnValor = $regis[$lcCampo];
                      $lcNove  = substr($lcCampo,2,2) ;
                      $lnNove  = (int)$lcNove ;
                      $lbNegOn  = "";
                      $lbNegOff = "";
                      if ($lnNove == 50 or $lnNove == 98 or $lnNove == 99 )
                         {
                           $lbNegOn  = "<b>";
                           $lbNegOff = "</b>";
                         }
                      echo "<td align='right'><small>".$lbNegOn.number_format($lnValor,2).$lbNegOff."</small></td>" ;
                   }
               echo "</tr>" ;
               echo "<tr>" ;

               for ($i=5;$i<$items-4;$i=$i+3)
                   {
                      $lcCampo = msql_field_name($consulta,$i);
                      $lnValor = $regis[$lcCampo];
                      $lcNove  = substr($lcCampo,2,2) ;
                      $lnNove  = (int)$lcNove ; 
                      $lbNegOn  = "";
                      $lbNegOff = "";
                      if ($lnNove == 50 or $lnNove == 98 or $lnNove == 99 )
                         {
                           $lbNegOn  = "<b>";
                           $lbNegOff = "</b>";
                         }
                      echo "<td align='right'><small>".$lbNegOn.number_format($lnValor,2).$lbNegOff."</small></td>" ;
                   }
               echo "</tr>" ;
               echo "<tr>" ;

               for ($i=6;$i<$items-4;$i=$i+3)
                   {
                      $lcCampo = msql_field_name($consulta,$i);
                      $lnValor = $regis[$lcCampo];
                      $lcNove  = substr($lcCampo,2,2) ;
                      $lnNove  = (int)$lcNove ; 
                      $lbNegOn  = "";
                      $lbNegOff = "";
                      if ($lnNove == 50 or $lnNove == 98 or $lnNove == 99 )
                         {
                           $lbNegOn  = "<b>";
                           $lbNegOff = "</b>";
                         }
                    
                      echo "<td align='right'><small>".$lbNegOn.number_format($lnValor,2).$lbNegOff."</small></td>" ;
                   }
               echo "</tr>" ;
               echo "<tr>" ;
            }
       echo "</tbody>" ;
       echo "<tfoot>" ;
       echo "<tr>" ;
       echo "<th>".$lnLinea."</th>" ;
       echo "<th colspan=2>TOTAL GENERAL</th>" ;
       for ($i=1;$i<=$lnInd;$i++)
           {
              echo "<th align='right'><b>".number_format($totalRe[$i],2)."</b></th>" ;
           }
       echo "</tr>" ;
       $lnInd = $lnInd + 4;
       $lnAum = 0 ;
       $lnEnt = floor($lnInd/2) ;
       $lnCen = ($lnInd/2) -$lnEnt ;
    
       if ($lnCen > 0) $lnAum = 1;
       
       echo "<tr><th colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;
       echo "<tr><th style='border: inset 0pt' colspan=".$lnInd.">&nbsp</th></tr>" ;

       echo "<tr class='noscreen'>";
       echo "<th colspan=".$lnEnt.">REALIZADO POR</th>"  ;

       $lnEnt = $lnEnt + $lnAum ;
       echo "<th colspan=".$lnEnt.">AUTORIZADO POR</th>" ;
       echo "</tr>" ;
       echo "</tfoot>" ;
       echo "</table>";
       echo "</result>";
       break;
    
  case 8:       
       $lcAnio   = substr($proceso,0,4);
       $lcMes    = substr($proceso,5,2);
       $lcNomMes = fnLetraMes($lcMes, 0, 'C');

       $lcSql='select * from calc0, pers0, nove0 where calc_nove = nove_codigo and pers_codigo = calc_codigo and calc_quince = '.$quince." and calc_mes = ".$lcMes." and calc_anio = ".$lcAnio." order by pers_apellido, pers_nombre, calc_nove" ;
       $consulta=msql_query($lcSql,$link_data);

       echo "<result>";
       echo "<table width='100%' border='1'>";
       echo "<caption><h3>CALCULO DEL ROL</h3></caption>";
       echo "<theader>" ;
       echo "<tr><th colspan =8>Quincena : ".$quince." - Mes : ".$lcNomMes." - Año : ".$lcAnio."</th></tr>" ;
       echo "<tr>" ;
       echo "<th>Identificación</th>" ;
       echo "<th>Apellido</th>" ;
       echo "<th>Nombre</th>" ;
       echo "<th>Empresa</th>" ;
       echo "<th>Novedad</th>" ;
       echo "<th>Sueldo</th>" ;
       echo "<th>Cargo</th>" ;
       echo "<th>Depto</th>" ;
       echo "</tr>" ;
       echo "</theader>" ;
       echo "<tbody>" ;
       $lnLinea = $consulta->num_rows;
       while($regis=msql_fetch_assoc($consulta))
            {
                echo "<tr>" ;
                echo "<td>".$regis['pers_codigo']."</td>" ;
                echo "<td>".$regis['pers_apellido']."</td>" ;
                echo "<td>".$regis['pers_nombre']."</td>" ;
                echo "<td>".$regis['calc_codcia']."</td>" ;
                echo "<td>".$regis['calc_nove']."-".substr($regis['nove_abrevia'],0,10)."</td>" ;
                echo "<td align='right'>".number_format($regis['calc_valor'],2)."</td>" ;
                echo "<td>".$regis['calc_codcargo']."</td>" ;
                echo "<td>".$regis['calc_coddpto']."</td>" ;
                echo "</tr>" ;
            }
       echo "</tbody>" ;
       echo "<tfoot>" ;
       echo "<tr>" ;
       echo "<th>".$lnLinea."</th>" ;
       echo "<th colspan=10>Total de Personal</th>" ;
       echo "</tr>" ;
       echo "</tfoot>" ;
       echo "</table>";
       echo "</result>";
       break;
  case 9:
       
       $lcAnio   = substr($proceso,0,4);
       $lcMes    = substr($proceso,5,2);

       $lcNomMes = fnLetraMes($lcMes, 0, 'C');
       $lcSql='select * from hora0, pers0, empl0 where pers_codigo = empl_codigo and pers_codigo = hora_codigo and hora_quince = '.$quince." and hora_mes = ".$lcMes." and hora_anio = ".$lcAnio." order by hora_codcia, pers_apellido, pers_nombre" ;
       $consulta=msql_query($lcSql,$link_data);
       $lnLinea = $consulta->num_rows;
    
       echo "<result>";
       echo "<table width='100%' border='1'>";
       echo "<caption><h3>HORAS LABORADAS</h3></caption>";
       echo "<theader>" ;
       echo "<tr><th colspan =15>Quincena : ".$quince." - Mes : ".$lcNomMes." - Año : ".$lcAnio."</th></tr>" ;
       echo "<tr>" ;
       echo "<th>Identificación</th>" ;
       echo "<th>Empleado</th>" ;
       echo "<th>Empresa</th>" ;
       echo "<th>Laborada</th>" ;
       echo "<th>Enfermo</th>" ;
       echo "<th>Lic. Sin Sueldo</th>" ;
       echo "<th>Lic. Con Sueldo</th>" ;
       echo "<th>H.E. 25%</th>" ;
       echo "<th>H.E. 50%</th>" ;
       echo "<th>H.E. 100%</th>" ;
       echo "<th>Sueldo</th>" ;
       echo "<th>$ 25%</th>" ;
       echo "<th>$ 50%</th>" ;
       echo "<th>$ 100%</th>" ;
       echo "</tr>" ;
       echo "</theader>" ;
       echo "<tbody>" ;
       while($regis=msql_fetch_assoc($consulta))
            {
                $lcNombre  = substr(trim($regis['pers_apellido']).' '.$regis['pers_nombre'],0,25);
                $lnSueHora = $regis['empl_sueldo']/240 ;
                $lnNumHora = $regis['hora_sueldo'] + $regis['hora_licencon'] ;
                if ($regis['hora_enfer'] <= 24) $lnNumHora = $lnNumHora + $regis['hora_enfer'];
                $lnSueldo =  $lnSueHora * $lnNumHora ;
                $ln25     = $lnSueHora * 0.25 * $regis['hora_e25'];
                $ln50     = $lnSueHora * 1.50 * $regis['hora_e50'];
                $ln100    = $lnSueHora * 2.00 * $regis['hora_e100'];
         
                echo "<tr>" ;
                echo "<td>".$regis['pers_codigo']."</td>" ;
                echo "<td>".$lcNombre."</td>" ;
                echo "<td>".$regis['hora_codcia']."</td>" ;
                echo "<td align='right'>".$regis['hora_sueldo']."</td>" ;
                echo "<td align='right'>".$regis['hora_enfer']."</td>" ;
                echo "<td align='right'>".$regis['hora_licensin']."</td>" ;
                echo "<td align='right'>".$regis['hora_licencon']."</td>" ;
                echo "<td align='right'>".$regis['hora_e25']."</td>" ;
                echo "<td align='right'>".$regis['hora_e50']."</td>" ;
                echo "<td align='right'>".$regis['hora_e100']."</td>" ;
                echo "<td align='right'>".number_format($lnSueldo,2)."</td>" ;
                echo "<td align='right'>".number_format($ln25,2)."</td>" ;
                echo "<td align='right'>".number_format($ln50,2)."</td>" ;
                echo "<td align='right'>".number_format($ln100,2)."</td>" ;
                echo "</tr>" ;
            }
       echo "</tbody>" ;
       echo "<tfoot>" ;
       echo "<tr>" ;
       echo "<th>".$lnLinea."</th>" ;
       echo "<th colspan=13>Total de Personal</th>" ;
       echo "</tr>" ;
       echo "</tfoot>" ;
       echo "</table>";
       echo "</result>";
       break;
}
echo '</response>';

function fnLetraMes($lMes, $lLon, $lPre)
{
       setlocale(LC_ALL, 'es_ES');
       $monthNum  = (int)$lMes;
       $dateObj   = DateTime::createFromFormat('!m', $monthNum);
       $monthName = strftime('%B', $dateObj->getTimestamp());
       switch($lPre)
          {
             case 'C':
                  $monthName = ucfirst($monthName);
                  break;
             case 'M':
                  $monthName = strtoupper($monthName);
                  break;
             case 'N':
                  $monthName = strtolower($monthName);
                  break;
          }
  $lcMesLet = trim($monthName);
  if ($lLon > 0)  $lcMesLet = substr($monthName,0,$lLon);
    
  return $lcMesLet;
}

function fnLetraFecha($lFecha, $lLon, $lPre)
{
  $lcDia  = substr($lFecha,8,2);
  $lcMes  = fnLetraMes( substr($lFecha,5,2), $lLon, $lPre);
  $lcAnio = substr($lFecha,0,4);
  $lcFecLet = $lcDia.'/'.$lcMes.'/'.$lcAnio ;
  return $lcFecLet;
}
?>